<?php
require_once 'dompdf/autoload.inc.php';
define("DOMPDF_UNICODE_ENABLED", true);
use Dompdf\Dompdf;
$pdf_content ='<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<META http-equiv="X-UA-Compatible" content="IE=8">
	<style>
	@font-face {
      font-family: \'mgenplus\';
      font-style: normal;
      font-weight: 400;
      src: url(pdf_fonts/rounded-mgenplus-1c-regular.ttf) format(\'truetype\');
 }
 @font-face {
      font-family: \'Noto Sans Japanese\';
      font-style: normal;
      font-weight: 400;
      src: url(pdf_fonts/NotoSansCJKjp-Regular.ttf) format(\'truetype\');
 }
.ft0{font-size: 14px;line-height: 16px;}
*{ font-family: \'Noto Sans Japanese\' !important;}
table tbody tr td,table tr th{
    font-family: \'Noto Sans Japanese\' !important;
	font-size:14px;
	font-weight: 400;
}

.invoice-box { max-width: 800px; margin: auto; padding:15px;font-size:12px;;color: #000; font-family: \'Noto Sans Japanese\' !important; }
table tbody tr td,table tr th{ font-family: \'Noto Sans Japanese\' !important;}
table.invoiceDate_tbl {border-collapse: collapse; width: 100%; }
table.invoiceDate_tbl tbody tr:last-child td { border-bottom: none; }
table.invoiceDate_tbl td, table.invoiceDate_tbl th { border-bottom:1px solid #dddddd;padding:8px; }
table.invoiceDate_tbl2 td, table.invoiceDate_tbl2 th {border-bottom:1px solid #fff;padding:5px;}
table tbody tr td {font-size:14px !important;}
table tr th {font-size:14px !important;}
.tbl_total tr td { border-bottom: 1px solid #eee; padding:5px;font-size:12px !important;}
.reservation_link { background: #2f74b4; color: #fff;font-size: 15px; font-family: \'Noto Sans Japanese\' !important;height:32px;display:block;width: 110px;line-height: 32px;text-align: center;}
</style>
</head>
<body>
<div class="invoice-box">
  <table cellpadding="0" cellspacing="0" style="width: 100%;text-align: left;">
    <tr class="top">
      <td colspan="3" style="padding: 5px;vertical-align: center;"><table style="width: 100%;text-align: left;">
          <tr>
            <td class="title"><img src="sitelogo.png"></td>
            <td style="padding: 5px;vertical-align: top;text-align: right;padding-bottom: 20px;">発行日：＊2022/01/01＊<br></td>
          </tr>
        </table></td>
    </tr>
    <tr>
      <td colspan="3"><table style="width: 100%;text-align:center;">
          <tr>
            <td style="vertical-align:central;padding:20px 0px 20px 0px;font-size:21px !important;">お見積りシミュレーション結果</td>
          </tr>
        </table></td>
    </tr>
    <tr class="information">
      <td colspan="3" style="padding: 5px;vertical-align: top;"><table style="width: 100%;text-align: left;">
          <tr>
            <td style="vertical-align:middle;padding:20px 0px 20px 0px;line-height:19px;font-size:18px !important;">＊会社名＊＊氏名＊様<br></td>
          </tr>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 10px 5px;vertical-align: top;">
      <table class="table table-bordered invoiceDate_tbl" style="width:100%;border:1px solid #000;">
          <tbody>
		  <tr>
          	<td colspan="2" style="text-align:center;">費用</td>
          </tr>
            <tr>
              <td class="left" align="left">基本料</td>
              <td class="left" align="right">75000 円</td>
            </tr>
            <tr>
              <td class="left" align="left">コール費用 （＊00,0000＊件）</td>
              <td class="left" align="right">＊0,000,000＊ 円</td>
            </tr>
            <tr>
              <td class="left" align="left"></td>
              <td class="left" align="right">※価格は全て税抜き表示です</td>
            </tr>
          </tbody>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 10px 5px;vertical-align: top;">
      <table class="table table-bordered invoiceDate_tbl2  tab_item" style="width:100%;">
          
          <tbody>
            <tr><td class="left" align="left">※コール開始のタイミングなどはお打合せ時にご相談ください。</td></tr>
            <tr><td class="left" align="left">※難易度などにより単価が変更になる/リストが用意できない場合があります。</td></tr>
            <tr><td class="left" align="left">※「申し込みをする」ボタンより商談の上契約となります。</td></tr>
          </tbody>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 5px 5px;vertical-align: top;">
          <table class="table table-bordered" style="width:100%;">
              <tr>
                <td style="padding: 5px;vertical-align: top;padding-bottom:15px;line-height:19px;font-size:13px;width:61%">運営：株式会社soraプロジェクト<br>
                  お問合せ：info@naruhaya.biz<br></td>
                
                </tr>
            </table>
        </td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 5px 5px;vertical-align: top;">
          <table class="table table-bordered" style="width:100%;">
              <tr>
                <td style="padding: 5px;vertical-align:top;padding-bottom:15px;width:60%;"><a href="https://meetings.hubspot.com/kurakazu1" class="reservation_link">商談予約URL</a></td>
                <td style="padding: 5px;vertical-align:top;padding-bottom:15px;width:40%;text-align:right;"><img style="width:180px;" src="mtglink.jpg"></td>
                </tr>
            </table>
        </td>
    </tr>
  </table>
</div></body></html>';

echo $pdf_content;
die;

$filename = "estimate_pdf";
$file_name = rand() . '.pdf';

$dompdf = new Dompdf();

// Load content from html file 
$html = file_get_contents("test_pdf.html"); 
$dompdf->loadHtml($pdf_content); 
 
// (Optional) Setup the paper size and orientation 
//$dompdf->set_option('isFontSubsettingEnabled', true);
$dompdf->setPaper('A4'); 
 
// Render the HTML as PDF 
$dompdf->render(); 
 
// Output the generated PDF (1 = download and 0 = preview) 
$dompdf->stream("codexworld", array("Attachment" => 0));

